{
  "name": "u-desk-web",
  "version": "1.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "build:dev": "vite build --mode development",
    "preview": "vite preview"
  },
  "dependencies": {
    "@arco-design/web-vue": "^2.54.0",
    "@codemirror/commands": "^6.10.1",
    "@codemirror/lang-cpp": "^6.0.3",
    "@codemirror/lang-css": "^6.3.1",
    "@codemirror/lang-go": "^6.0.1",
    "@codemirror/lang-html": "^6.4.11",
    "@codemirror/lang-java": "^6.0.2",
    "@codemirror/lang-javascript": "^6.2.4",
    "@codemirror/lang-json": "^6.0.2",
    "@codemirror/lang-markdown": "^6.5.0",
    "@codemirror/lang-php": "^6.0.2",
    "@codemirror/lang-python": "^6.2.1",
    "@codemirror/lang-rust": "^6.0.2",
    "@codemirror/lang-sql": "^6.10.0",
    "@codemirror/lang-yaml": "^6.1.2",
    "@codemirror/language": "^6.12.1",
    "@codemirror/legacy-modes": "^6.5.2",
    "@codemirror/search": "^6.6.0",
    "@codemirror/state": "^6.5.3",
    "@codemirror/theme-one-dark": "^6.1.3",
    "@codemirror/view": "^6.39.8",
    "highlight.js": "^11.11.1",
    "mammoth": "^1.11.0",
    "marked": "^17.0.1",
    "mermaid": "^11.12.2",
    "@wailsio/runtime": "latest",
    "pinia": "^3.0.4",
    "vue": "^3.5.26",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@types/highlight.js": "^9.12.4",
    "@types/mermaid": "^9.1.0",
    "@vitejs/plugin-vue": "^6.0.3",
    "unplugin-auto-import": "^0.18.3",
    "unplugin-vue-components": "^0.27.4",
    "vite": "^7.3.0"
  }
}
